NX Open C++ Reference Guide
|
Represents a Features::VehicleDesign::VisionPlane builder used to create or edit a Vision Plane. More...
Public Types | |
enum | CustomVisionAngle { CustomVisionAngleStandard, CustomVisionAngleCustom } |
Represents the vision angle type to define the Vision Plane. More... | |
enum | EnumEyeType { EnumEyeTypeEyeFeature, EnumEyeTypeV1Point, EnumEyeTypeV2Point } |
Represents the eye definition type to define the Vision Plane. More... | |
Public Member Functions | |
bool | AssoToggle () |
Returns the associative option that determines whether to create feature or not. | |
NXOpen::Expression * | BaseDim () |
Returns the base dim; dimension from left to right. | |
NXOpen::Expression * | DriverPlane () |
Returns the driver side plane inclined angle. | |
NXOpen::Features::SelectFeature * | EyeFeature () |
Returns the eye feature; select eec feature when eye type specified. | |
NXOpen::Features::VehicleDesign::VisionPlaneBuilder::EnumEyeType | EyeType () |
Returns the eye type to determine which type of v points to be used. | |
NXOpen::Expression * | FrontDim () |
Returns the front dim; dimension here to front. | |
NXOpen::Expression * | FrontPlane () |
Returns the front plane inclined angle. | |
NXString | LoadingName () |
Returns the name of the used loading in the Vision Plane. | |
bool | LowerPlane () |
Returns the lower plane option that determines whether to create lower plane or not. | |
bool | MiddlePlane () |
Returns the middle plane option that determines whether to create middle plane or not. | |
NXOpen::Expression * | MidPlane () |
Returns the middle plane inclined angle; means front side,passenger side and driver side are the same. | |
NXOpen::Expression * | PassengerPlane () |
Returns the passenger side plane inclined angle. | |
NXOpen::Point * | PointV1 () |
Returns the point v1; select one point when eye type specified. | |
NXOpen::Point * | PointV2 () |
Returns the point v2; select one point when eye type specified. | |
void | SetAssoToggle (bool assoToggle) |
Sets the associative option that determines whether to create feature or not. | |
void | SetEyeType (NXOpen::Features::VehicleDesign::VisionPlaneBuilder::EnumEyeType eyeType) |
Sets the eye type to determine which type of v points to be used. | |
void | SetLoadingName (const NXString &loadingName) |
Sets the name of the used loading in the Vision Plane. | |
void | SetLoadingName (const char *loadingName) |
Sets the name of the used loading in the Vision Plane. | |
void | SetLowerPlane (bool lowerPlane) |
Sets the lower plane option that determines whether to create lower plane or not. | |
void | SetMiddlePlane (bool middlePlane) |
Sets the middle plane option that determines whether to create middle plane or not. | |
void | SetPointV1 (NXOpen::Point *pointV1) |
Sets the point v1; select one point when eye type specified. | |
void | SetPointV2 (NXOpen::Point *pointV2) |
Sets the point v2; select one point when eye type specified. | |
void | SetUpperPlane (bool upperPlane) |
Sets the upper plane option that determines whether to create upper plane or not. | |
void | SetUseStandardLoading (bool useStandardLoading) |
Sets the option that determines whether to use the loading specified by standard or not. | |
void | SetVisionType (NXOpen::Features::VehicleDesign::VisionPlaneBuilder::CustomVisionAngle visionType) |
Sets the vision type; standard or customer defined. | |
bool | UpperPlane () |
Returns the upper plane option that determines whether to create upper plane or not. | |
bool | UseStandardLoading () |
Returns the option that determines whether to use the loading specified by standard or not. | |
NXOpen::Features::VehicleDesign::VisionPlaneBuilder::CustomVisionAngle | VisionType () |
Returns the vision type; standard or customer defined. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::VehicleDesign::VisionPlane builder used to create or edit a Vision Plane.
<br> To create a new instance of this class, use @link Features::VehicleDesignCollection::CreateVisionPlaneBuilder Features::VehicleDesignCollection::CreateVisionPlaneBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AssoToggle |
1 |
BaseDim.Value |
2000 (millimeters part), 0 (inches part) |
DriverPlane.Value |
4 |
EyeType |
EyeFeature |
FrontDim.Value |
1000 (millimeters part), 0 (inches part) |
FrontPlane.Value |
4 |
LowerPlane |
1 |
MidPlane.Value |
1 |
MiddlePlane |
1 |
PassengerPlane.Value |
4 |
UpperPlane |
1 |
UseStandardLoading |
1 |
VisionType |
Standard |
Created in NX6.0.0.
Represents the vision angle type to define the Vision Plane.
Represents the eye definition type to define the Vision Plane.
bool NXOpen::Features::VehicleDesign::VisionPlaneBuilder::AssoToggle | ( | ) |
Returns the associative option that determines whether to create feature or not.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::BaseDim | ( | ) |
Returns the base dim; dimension from left to right.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::DriverPlane | ( | ) |
Returns the driver side plane inclined angle.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SelectFeature* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::EyeFeature | ( | ) |
Returns the eye feature; select eec feature when eye type specified.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::VehicleDesign::VisionPlaneBuilder::EnumEyeType NXOpen::Features::VehicleDesign::VisionPlaneBuilder::EyeType | ( | ) |
Returns the eye type to determine which type of v points to be used.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::FrontDim | ( | ) |
Returns the front dim; dimension here to front.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::FrontPlane | ( | ) |
Returns the front plane inclined angle.
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Features::VehicleDesign::VisionPlaneBuilder::LoadingName | ( | ) |
Returns the name of the used loading in the Vision Plane.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::VisionPlaneBuilder::LowerPlane | ( | ) |
Returns the lower plane option that determines whether to create lower plane or not.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::VisionPlaneBuilder::MiddlePlane | ( | ) |
Returns the middle plane option that determines whether to create middle plane or not.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::MidPlane | ( | ) |
Returns the middle plane inclined angle; means front side,passenger side and driver side are the same.
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::PassengerPlane | ( | ) |
Returns the passenger side plane inclined angle.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::PointV1 | ( | ) |
Returns the point v1; select one point when eye type specified.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::VisionPlaneBuilder::PointV2 | ( | ) |
Returns the point v2; select one point when eye type specified.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetAssoToggle | ( | bool | assoToggle | ) |
Sets the associative option that determines whether to create feature or not.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
assoToggle | assotoggle |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetEyeType | ( | NXOpen::Features::VehicleDesign::VisionPlaneBuilder::EnumEyeType | eyeType | ) |
Sets the eye type to determine which type of v points to be used.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
eyeType | eyetype |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetLoadingName | ( | const NXString & | loadingName | ) |
Sets the name of the used loading in the Vision Plane.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
loadingName | loadingname |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetLoadingName | ( | const char * | loadingName | ) |
Sets the name of the used loading in the Vision Plane.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
loadingName | loadingname |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetLowerPlane | ( | bool | lowerPlane | ) |
Sets the lower plane option that determines whether to create lower plane or not.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
lowerPlane | lowerplane |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetMiddlePlane | ( | bool | middlePlane | ) |
Sets the middle plane option that determines whether to create middle plane or not.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
middlePlane | middleplane |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetPointV1 | ( | NXOpen::Point * | pointV1 | ) |
Sets the point v1; select one point when eye type specified.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pointV1 | pointv1 |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetPointV2 | ( | NXOpen::Point * | pointV2 | ) |
Sets the point v2; select one point when eye type specified.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pointV2 | pointv2 |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetUpperPlane | ( | bool | upperPlane | ) |
Sets the upper plane option that determines whether to create upper plane or not.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
upperPlane | upperplane |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetUseStandardLoading | ( | bool | useStandardLoading | ) |
Sets the option that determines whether to use the loading specified by standard or not.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
useStandardLoading | usestandardloading |
void NXOpen::Features::VehicleDesign::VisionPlaneBuilder::SetVisionType | ( | NXOpen::Features::VehicleDesign::VisionPlaneBuilder::CustomVisionAngle | visionType | ) |
Sets the vision type; standard or customer defined.
Created in NX6.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
visionType | visiontype |
bool NXOpen::Features::VehicleDesign::VisionPlaneBuilder::UpperPlane | ( | ) |
Returns the upper plane option that determines whether to create upper plane or not.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::VisionPlaneBuilder::UseStandardLoading | ( | ) |
Returns the option that determines whether to use the loading specified by standard or not.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::VehicleDesign::VisionPlaneBuilder::CustomVisionAngle NXOpen::Features::VehicleDesign::VisionPlaneBuilder::VisionType | ( | ) |
Returns the vision type; standard or customer defined.
Created in NX6.0.0.
License requirements : None